For the complete documentation index, see llms.txt. This page is also available as Markdown.

Adressen ändern

Hinweise zur Funktion

Eine Person kann über mehrere Anschriften verfügen. Wenn Sie eine neue Anschrift erfassen, wird die alte Anschrift hierdurch nicht automatisch ungültig.

Anstatt eine ungültige Adresse zu löschen, empfehlen wir, die alte Adresse mit einem Enddatum zu versehen. Diese Eigenschaft kann im Feld "ValidTo" hinterlegt werden.

Hierdurch wird die Nachvollziehbarkeit in WOWIPORT für alte Anschriften gewährleistet.

Eine neue Adresse zur Person erfassen

Version 1.0


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
AddressTypeIdinteger · int32 · nullableOptional
Zipstring · nullableOptional
Townstring · nullableOptional
Streetstring · nullableOptional
HouseNumberstring · nullableOptional
HouseNumberAdditionstring · nullableOptional
CountryIdinteger · int32 · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Antworten
201

Created

integer · int32Optional
post/openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses
POST /openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "AddressTypeId": 1,
  "Zip": "text",
  "Town": "text",
  "Street": "text",
  "HouseNumber": "text",
  "HouseNumberAddition": "text",
  "CountryId": 1,
  "ValidFrom": "2026-08-18",
  "ValidTo": "2026-08-18"
}
1

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
AddressTypeIdinteger · int32 · nullableOptional
Zipstring · nullableOptional
Townstring · nullableOptional
Streetstring · nullableOptional
HouseNumberstring · nullableOptional
HouseNumberAdditionstring · nullableOptional
CountryIdinteger · int32 · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Antworten
201

Created

integer · int32Optional
post/openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses
POST /openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "AddressTypeId": 1,
  "Zip": "text",
  "Town": "text",
  "Street": "text",
  "HouseNumber": "text",
  "HouseNumberAddition": "text",
  "CountryId": 1,
  "ValidFrom": "2026-08-18",
  "ValidTo": "2026-08-18"
}
1

Eine bestehende Adresse ändern

Version 1.0


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
AddressTypeIdinteger · int32 · nullableOptional
Zipstring · nullableOptional
Townstring · nullableOptional
Streetstring · nullableOptional
HouseNumberstring · nullableOptional
HouseNumberAdditionstring · nullableOptional
CountryIdinteger · int32 · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Antworten
200

OK

integer · int32Optional
put/openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses/{childId}
PUT /openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "AddressTypeId": 1,
  "Zip": "text",
  "Town": "text",
  "Street": "text",
  "HouseNumber": "text",
  "HouseNumberAddition": "text",
  "CountryId": 1,
  "ValidFrom": "2026-08-18",
  "ValidTo": "2026-08-18"
}
1

Version 1.2


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
AddressTypeIdinteger · int32 · nullableOptional
Zipstring · nullableOptional
Townstring · nullableOptional
Streetstring · nullableOptional
HouseNumberstring · nullableOptional
HouseNumberAdditionstring · nullableOptional
CountryIdinteger · int32 · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Antworten
200

OK

integer · int32Optional
put/openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses/{childId}
PUT /openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "AddressTypeId": 1,
  "Zip": "text",
  "Town": "text",
  "Street": "text",
  "HouseNumber": "text",
  "HouseNumberAddition": "text",
  "CountryId": 1,
  "ValidFrom": "2026-08-18",
  "ValidTo": "2026-08-18"
}
1

Eine bestehende Adresse löschen

Version 1.0


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
delete/openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses/{childId}
DELETE /openwowi/v1.0/PersonsWrite/Person/{personId}/Addresses/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Version 1.2


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
delete/openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses/{childId}
DELETE /openwowi/v1.2/PersonsWrite/Person/{personId}/Addresses/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Zuletzt aktualisiert